Skip to main content
GET
/
v1
/
anecdotes
Get all anecdotes
curl --request GET \
  --url https://api.yalg.ai/v1/anecdotes \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "title": "How I Learned to Lead a Team",
      "content": "Last year, I was tasked...",
      "author": {
        "id": "987fcdeb-51a2-43d7-8f9e-123456789abc",
        "name": "John Doe",
        "email": "john@example.com"
      },
      "category": "professional",
      "tags": [
        "leadership"
      ],
      "mood": "reflective",
      "priority": 1,
      "isActive": true,
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ],
  "total": 15,
  "page": 1,
  "limit": 10,
  "totalPages": 2,
  "stats": {
    "professional": 8,
    "personal": 5,
    "lessons": 2,
    "favorites": 3
  }
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Query Parameters

page
number

Page number (default: 1)

Example:

1

limit
number

Number of anecdotes per page (default: 10)

Example:

10

Response

Anecdotes retrieved successfully